WebTutorWordPressПодключение самой последней версии jQuery для WordPress

Подключение самой последней версии jQuery для WordPress

При работе сайта часто могут возникать проблемы несовместимости скриптов и библиотеки jQuery, это может возникать из-за того, что устанавливаемые расширения требуют новую версию библиотеки, а на сайте используется старая. Следить всегда за выходом библиотек нет возможности у простых пользователей, а у разработчиков и так хватает работы.

Но эту проблему легко решить, если использовать подключение jQuery с серверов Google, где по одной и той же ссылке выкладываются последние версии библиотеки. Давайте разберем, как происходит подключение самой последней версии jQuery для WordPress

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>

Пример подключеня jQuery к WordPress

add_action( 'init', 'wordpress_jquery_register' );
 
function wordpress_jquery_register() {
	if ( !is_admin() ) {
		wp_deregister_script( 'jquery' );
		wp_register_script( 'jquery', ( 'http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js' ), false, null, true );
		wp_enqueue_script( 'jquery' );
	}
}

этот код достаточно добавить в файл functions.php

Просмотров: 77

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *